<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/vecinos.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$vecinos = new Vecinos($db);

$data = json_decode(file_get_contents("php://input"));
$vecinos->id = $data->id;

if(!isEmpty($data->clave_app)){

$vecinos->nombre = $data->nombre;
$vecinos->apellido = $data->apellido;
$vecinos->edad = $data->edad;
$vecinos->fecha_nacimiento = $data->fecha_nacimiento;
$vecinos->rut = $data->rut;
$vecinos->profesion = $data->profesion;
$vecinos->direccion = $data->direccion;
$vecinos->telefono = $data->telefono;
$vecinos->email = $data->email;
$vecinos->vigilante = $data->vigilante;
$vecinos->foto = $data->foto;
if(!isEmpty($data->clave_app)) { 
$vecinos->clave_app = $data->clave_app;
} else { 
$vecinos->clave_app = '';
}
$vecinos->token = $data->token;
$vecinos->anexo1_nombre = $data->anexo1_nombre;
$vecinos->anexo1_telefono = $data->anexo1_telefono;
$vecinos->anexo2_nombre = $data->anexo2_nombre;
$vecinos->anexo2_telefono = $data->anexo2_telefono;
$vecinos->anexo3_nombre = $data->anexo3_nombre;
$vecinos->anexo3_telefono = $data->anexo3_telefono;
$vecinos->activo = $data->activo;
if($vecinos->update()){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update vecinos","document"=> ""));
}
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update vecinos. Data is incomplete.","document"=> ""));
}
?>
